########################################################################
## NOTE:  This specfile is automagically generated from
##        ${RPM_SOURCE_DIR}/xbuffy.spec.in.  It is recommended
##        to make modifications to that file, not this one.
########################################################################
# (for rpm-2.3.9 and later)
# Predefined Macros:
# PACKAGE_VERSION
# PACKAGE_RELEASE
# 
# User-Defined Macros:
# %define <name> <expansion>
%define Name		xbuffy
%define Version		3.3.bl.3
%define ReleaseNum	1
%define Prefix		/usr/X11R6

%define Variant		.rhl5
%define Packager	Thomas Ribbrock <emgaron@gmx.net>

Summary: Xbuffy keeps track of multiple mailboxes.

Name: %{Name}
Version: %{Version}
Release: %{ReleaseNum}%{Variant}
Packager: %{Packager}
Copyright: X Consortium
Group: X11/Utilities
Source0: http://www.fiction.net/blong/programs/xbuffy/xbuffy-3.3.bl.3.tar.gz
Source1: xbuffy.wmconfig
Source2: xbuffy.spec.in
Patch0: %{Name}-3.3.bl.3-message-count.patch
URL: http://www.fiction.net/blong/programs/
BuildRoot: /tmp/%{Name}-%{Version}-%{ReleaseNum}%{Variant}-root

%description
Xbuffy was written by Bill Pemberton <wfp5p@virginia.edu> and was based on 
Xmultibiff by John Reardon.  Xmultibiff can be found at ftp.midnight.com.

Basically, XBuffy (and Xmultibiff) is a XBiff-type program with a lot
of new options.  With XBuffy you can watch multiple mailboxes and even
newsgroups.  When new mail arrives, you can have a pop up window showing
the From: and  Subject: lines.  You can also set it up to launch your
favorite mail reader when you click on a box.

The version %{Version} was patched by Brandon Long <blong@fiction.net>
to fix a few bugs and to support Maildir/MH folders (among other things).

xbuffy was compiled with the Xaw3d widget set.


%prep
%setup
%patch0 -p1 -b .orig-message-count


%build
CFLAGS="${RPM_OPT_FLAGS}" \
    ./configure \
        --prefix="%{Prefix}" \
	--with-xaw3d

make


%install
function CheckBuildRoot() {
    # do a few sanity checks on the BuildRoot
    # to make sure we don't damage a system
    case "${RPM_BUILD_ROOT}" in
        ''|' '|/|/bin|/boot|/dev|/etc|/home|/lib|/mnt|/root|/sbin|/tmp|/usr|/var)
            echo "Yikes!  Don't use '${RPM_BUILD_ROOT}' for a BuildRoot!"
            echo "The BuildRoot gets deleted when this package is rebuilt;"
            echo "something like '/tmp/build-blah' is a better choice."
            return 1
            ;;
        *)  return 0
            ;;
    esac
}
function CleanBuildRoot() {
    if CheckBuildRoot; then
        rm -rf "${RPM_BUILD_ROOT}"
    else
        exit 1
    fi
}
CleanBuildRoot

make \
    prefix="${RPM_BUILD_ROOT}%{Prefix}" \
    install

strip ${RPM_BUILD_ROOT}%{Prefix}/bin/xbuffy

install -d ${RPM_BUILD_ROOT}/etc/X11/wmconfig
install -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}/etc/X11/wmconfig/xbuffy


%clean
function CheckBuildRoot() {
    # do a few sanity checks on the BuildRoot
    # to make sure we don't damage a system
    case "${RPM_BUILD_ROOT}" in
        ''|' '|/|/bin|/boot|/dev|/etc|/home|/lib|/mnt|/root|/sbin|/tmp|/usr|/var)
            echo "Yikes!  Don't use '${RPM_BUILD_ROOT}' for a BuildRoot!"
            echo "The BuildRoot gets deleted when this package is rebuilt;"
            echo "something like '/tmp/build-blah' is a better choice."
            return 1
            ;;
        *)  return 0
            ;;
    esac
}
function CleanBuildRoot() {
    if CheckBuildRoot; then
        rm -rf "${RPM_BUILD_ROOT}"
    else
        exit 1
    fi
}
CleanBuildRoot

%files
%doc CHANGES README README.BL TODO
%attr(755,root,root) %{Prefix}/bin/xbuffy
%attr(644,root,root) %{Prefix}/man/man1/xbuffy.1
%attr(644,root,root) %config %{Prefix}/lib/X11/app-defaults/XBuffy
%attr(644,root,root) /etc/X11/wmconfig/xbuffy


%changelog
* Sat May 01 1999 Thomas Ribbrock <emgaron@gmx.net>
  [3.3.bl.3-1]
  -  initial version

